import * as React from 'react';
import { RenditionSystemProps } from '../../common-types';
import { FlexProps } from '../Flex';
declare const _default: ({ content, show, children, ...otherProps }: InternalCopyProps) => JSX.Element;
export default _default;
export interface InternalCopyProps extends FlexProps {
    content: string;
    show?: 'hover' | 'always';
    children: React.ReactNode;
}
export declare type CopyProps = InternalCopyProps & RenditionSystemProps;
